Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
00458 Debugger Minor Have not tried Jan 30, 2008, 05:23 Apr 7, 2008, 22:57
Tester robiza View Status Public Platform
Assigned To robiza Resolution Fixed OS
Status [?] Resolved Driver
Version 0.122u7 Fixed in Version 0.124u2 Build Debug
Summary 00458: [debug] NEC CPU debug bug
Description with a encrypted rom (like risky challenge), if opcodes are encrypted but operands aren't encrypted, the debug don't show correctly the decryted code (but the hex values are right)

for example (gussun):

ffff0 71 38 00 00 10 (decrypted value of 71 is ea)

with encrypted opcodes setted in the menu:
ffff0: br 90cdh: 0cd8eh ----- ea 38 00 00 10

the correct code is:
ffff0: br 1000h: 00038h ----- ea 38 00 00 10

if the opcode is a prefix (like 26,2e,36) the second hex value is wrong (not decrypted)

wrong values
10052: 36 d3 04 4e 3b 00 00
right values:
10052: 36 c7 04 4e 3b 00 00
the code is wrong only for the operand (prefix and opcode are right)
Steps To Reproduce
Additional Information
Flags Debug build specific
Regression Version
Affected Sets / Systems
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.00215
robiza
Developer
Mar 18, 2008, 07:56
with real time decryption now the bug is different:
the opcode (the hex value and the string)in the debug is not decrypted

i.e gussun oyoyo
wrong:
10039 68 00 80 -> push 8000h
right (encrypted opcode 68 is decrypted opcode b9)
10039 b9 00 80 -> mov CW,8000h
User avatar
No.00252
Haze
Senior Tester
Mar 19, 2008, 08:49
there are other general problems with the NEC cpu and the debugger anyway, I've noticed random crashes with debug opcode read stuff running in debug while developing (even before the changes I made)